Subject: [scim] SCIM drafts

From: Trey Drake <[email-masked]>
Date: Thu, 12 Jul 2012 13:54:57 -0500

The attached contain the SCIM "1.1" protocol and schema drafts for consideration by the SCIM working group.

Thanks,
Trey

---

From: Michael Hammer <[email-masked]>
Date: Fri, 13 Jul 2012 21:06:20 +0000

Trey,

I have a nit about the elements:  emails, phoneNumbers, ims, photos,
addresses, etc.
Is there a reason those have to be put in the plural?
(Understand these are multivalued, but that will be obvious.)

Maybe I am brainwashed, but when I saw ims I was thinking 3GPP IMS and was
looking for the sip: addressing type.  :)
Which also begs the question, does the IETF buy into the idea that all
"phones" will be E.164 based only?

Also, for the next thousand internet applications, do we expect a new
extension for an identity for each?
Could there be some type of generic URI extension, where an attribute holds
the already defined applications types?

"genericURI": [
    {
      "value": "user@domain",
      "app-type": "sip:"
    },
    {
      "value": "object@domain",
      "app-type": "http:"    }

Or, whatever.

Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Trey
Drake
Sent: Thursday, July 12, 2012 2:55 PM
To: [email-masked]
Cc: [email-masked] Management; Morteza Ansari (moransar)
Subject: [scim] SCIM drafts

The attached contain the SCIM "1.1" protocol and schema drafts for
consideration by the SCIM working group.

Thanks,
Trey

---

From: Igor Faynberg <[email-masked]>
Date: Fri, 13 Jul 2012 17:14:19 -0400

On 7/13/2012 5:06 PM, Michael Hammer wrote:
> ...

As opposed to...?

Igor

---

From: Michael Hammer <[email-masked]>
Date: Fri, 13 Jul 2012 21:36:27 +0000

Try a non-E.164-based URI.

Ever use Skype or a softphone?

Mike

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Igor
Faynberg
Sent: Friday, July 13, 2012 5:14 PM
To: [email-masked]
Subject: Re: [scim] SCIM drafts

As opposed to...?

Igor

_______________________________________________
scim mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/scim

---

From: Igor Faynberg <[email-masked]>
Date: Fri, 13 Jul 2012 18:13:46 -0400

Yes, now I understand. (I admit I never used Skype or a sophtphone for 
making calls that did not end up on PSTN--hence the initial confusion).

But I  thought that in the scope of SCIM, "phone" implied the E.164 
numbering scheme.  To this end, the IETF has actually spent a lot of 
time dealing with it (staring in PINT, but mostly, of course, in ENUM).

Of course, the authors of the draft should correct me if I am wrong.

Igor

---

From: Michael Hammer <[email-masked]>
Date: Fri, 13 Jul 2012 22:15:37 +0000

That is why I put the phone in " ".

I just thought the IETF should be looking forward rather than backwards.

Mike

-----Original Message-----
From: Igor Faynberg [mailto:[email-masked]] 
Sent: Friday, July 13, 2012 6:14 PM
To: Michael Hammer
Cc: [email-masked]
Subject: Re: [scim] SCIM drafts

But I  thought that in the scope of SCIM, "phone" implied the E.164
numbering scheme.  To this end, the IETF has actually spent a lot of time
dealing with it (staring in PINT, but mostly, of course, in ENUM).

Igor

On 7/13/2012 5:36 PM, Michael Hammer wrote:
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Igor Faynberg
>> Which also begs the question, does the IETF buy into the idea that 
>> all "phones" will be E.164 based only?
> As opposed to...?
>
> Igor
>
>

---

From: Trey Drake <[email-masked]>
Date: Fri, 13 Jul 2012 21:08:57 -0500

Hadn't thought of it, but it makes sense to me.  Igor, Mike, suggested language change?

Thanks,
Trey

---

From: Michael Hammer <[email-masked]>
Date: Mon, 16 Jul 2012 15:17:45 +0000

Trey,

If you go back to my original email, you will see that I brought up two
issues:
- the specific case of the sip: and sips: addresses, which could be phone,
video conference, telepresence, or any type of multimedia
connection-oriented service.
- the more generic problem of potentially many more application types for
which you need to provide an address.

So, the easy answer would be to extend the following from 6.2.  Multi-valued
Attributes to include:

phoneNumbers  Phone numbers for the User.  The value SHOULD be
      canonicalized by the Service Provider according to format in
      RFC3966 [7] e.g. 'tel:+1-201-555-0123'.  Canonical Type values of
      work, home, mobile, fax, pager and other.

Add:  Or according to RFC3261 and RFC3969 for sip: and sips: URIs.

Note:  IANA also lists RFC5341 for tel: URI.
BTW, there is also RFC5031 for urn:service:sos.* numbers.  Not sure is you
need that, but emergency numbers should be considered.
Another more off-the-wall one would be geo:* RFC5870, but not sure you want
to get into geo-locations.

For the more generic case, you might want to have the addresses block be the
main item, 
with sub-cases being the different application types as an attribute at the
same level as "type" and "value".

3.2.  Multi-valued Attributes
   type  A label indicating the attribute's function; e.g., "work" or
      "home".
   value  The attribute's significant value; e.g., the e-mail address,
      phone number, etc.  Attributes that define a "value" sub-attribute
      MAY be alternately represented as a collection of primitive types.
>  address-type A label indicating the attribute' application specific
format. <

      For example:
"addresses": [
    {
     "address-type":"snail-mail",
      "type": "work",
      "streetAddress": "100 Universal City Plaza",
      "locality": "Hollywood",
      "region": "CA",
      "postalCode": "91608",
      "country": "USA",
      "formatted": "100 Universal City Plaza\nHollywood, CA 91608 USA",
      "primary": true
    },
    {
     "address-type":"email",
      "value": "[email-masked]",
      "type": "work",
      "primary": true
    },
    {
     "address-type":"im",
      "value": "someaimhandle",
      "type": "aim"
    }
    {
     "address-type":"pstn",
      "value": "555-555-5555",
      "type": "work"
    },
    {
     "address-type":"tel:",
      "value": "+1-555-555-4444",
      "type": "mobile"
    }
    {
     "address-type":"sip:",
      "value": "[email-masked]",
      "type": "internet"
    }
    {
     "address-type":"skype",
      "value": "johndoe123",
      "type": "internet"
    }
    {
     "address-type":"https:",
      "value": "//photos.example.com/profilephoto/72930000000Ccne/F",
      "type": "photo"
    },
],

Just throwing this out there for thought.
Many ways to slice and dice this, 
just wondering if you want people doing extensions of attribute types or of
attribute values.
It might be easier to put and get values, even if they are unknown to the
registry.

Mike

-----Original Message-----
From: Trey Drake [mailto:[email-masked]] 
Sent: Friday, July 13, 2012 10:09 PM
To: Michael Hammer
Cc: [email-masked]; [email-masked]
Subject: Re: [scim] SCIM drafts

Hadn't thought of it, but it makes sense to me.  Igor, Mike, suggested
language change?

Thanks,
Trey

---

From: Igor Faynberg <[email-masked]>
Date: Mon, 16 Jul 2012 12:27:07 -0400

Actually, I did not see a need for a change here...

Igor

On 7/13/2012 10:08 PM, Trey Drake wrote:
> On Jul 13, 2012, at 5:15 PM, Michael Hammer<[email-masked]>  wrote:
>